package com.qunzhixinxi.hnqz.common.taxhelper.util;

import org.springframework.http.HttpEntity;
import org.springframework.http.HttpMethod;
import org.springframework.web.client.RestTemplate;

/**
 * {@code HttpUtils} 类
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-23
 * @since ver.1.0.0
 */
public final class HttpUtils {
	private HttpUtils() {
	}

	public static HttpEntity<String> doPost(final String queryUrl, final HttpEntity<Object> reqHttpEntity) {
		return new RestTemplate().exchange(queryUrl, HttpMethod.POST, reqHttpEntity, String.class);
	}
}
